package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.MobileNotifyMapper;
import com.ruoyi.system.domain.MobileNotify;
import com.ruoyi.system.service.IMobileNotifyService;

/**
 * 语音通知号码Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class MobileNotifyServiceImpl implements IMobileNotifyService 
{
    @Autowired
    private MobileNotifyMapper mobileNotifyMapper;

    /**
     * 查询语音通知号码
     * 
     * @param id 语音通知号码主键
     * @return 语音通知号码
     */
    @Override
    public MobileNotify selectMobileNotifyById(Long id)
    {
        return mobileNotifyMapper.selectMobileNotifyById(id);
    }

    /**
     * 查询语音通知号码列表
     * 
     * @param mobileNotify 语音通知号码
     * @return 语音通知号码
     */
    @Override
    public List<MobileNotify> selectMobileNotifyList(MobileNotify mobileNotify)
    {
        return mobileNotifyMapper.selectMobileNotifyList(mobileNotify);
    }

    /**
     * 新增语音通知号码
     * 
     * @param mobileNotify 语音通知号码
     * @return 结果
     */
    @Override
    public int insertMobileNotify(MobileNotify mobileNotify)
    {
        return mobileNotifyMapper.insertMobileNotify(mobileNotify);
    }

    /**
     * 修改语音通知号码
     * 
     * @param mobileNotify 语音通知号码
     * @return 结果
     */
    @Override
    public int updateMobileNotify(MobileNotify mobileNotify)
    {
        return mobileNotifyMapper.updateMobileNotify(mobileNotify);
    }

    /**
     * 批量删除语音通知号码
     * 
     * @param ids 需要删除的语音通知号码主键
     * @return 结果
     */
    @Override
    public int deleteMobileNotifyByIds(Long[] ids)
    {
        return mobileNotifyMapper.deleteMobileNotifyByIds(ids);
    }

    /**
     * 删除语音通知号码信息
     * 
     * @param id 语音通知号码主键
     * @return 结果
     */
    @Override
    public int deleteMobileNotifyById(Long id)
    {
        return mobileNotifyMapper.deleteMobileNotifyById(id);
    }
}
